EglCreateDisplay fails with new vivante 6.2.4 p2.3 drivers

cancel
Showing results for 
Search instead for 
Did you mean: 

EglCreateDisplay fails with new vivante 6.2.4 p2.3 drivers

112 Views
Contributor III

Hello,

I have upgraded to a newer version of the Vivante drivers from p1.8 to p2.3. I can compile & link my application just fine but now EglCreateDisplay fails on a Wayland screen. What I see is that in the new driver package there is a libEGL.so.1.0 which is linked to by libEGL.so.1 . In the p1.8 version libEGL.so.1.0 didn't exist and libEGL.so.1 linked to a wl (wayland) specific version of the library. With the p2.3 version the generic library is used instead of the ones in the wl directory. The same goes for libGLESv2. Is there a fix for this?

The Weston GUI environment works just fine BTW.

Thanks in advance.

Labels (1)
0 Kudos
2 Replies

1 View
Contributor III

It turned out running ldconfig created the wrong symlinks. Removing some of the soft-GL/EGL libraries fixed that.

0 Kudos

1 View
NXP TechSupport
NXP TechSupport

Hello,

If you are playing with i.MX6 Please remain to the latest build currently there are a lot of but of vivante 6.2.4 p2.3 driver for i.MX6.

Regards

0 Kudos